%bcond_without dotests

%global __tar /opt/freeware/bin/tar

%global py_major 3.9

%global py_minor 15

%global python_major python%{py_major}

%global pkgname imagesize 

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

Name:           %{python_major}-%{pkgname}
Version:        1.4.1 
Release:        1
Summary:        Python module for analyzing image file headers and returning image sizes 
License:        MIT 
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0:        https://files.pythonhosted.org/packages/source/i/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  %{python_major}-devel >= %{py_major}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
Requires:       %{python_major} >= %{py_major}.%{py_minor}


%description
It parses image files' header and return image size.
PNG
JPEG
JPEG2000
GIF
TIFF (experimental)
This is a pure Python library.

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name} = %{version}-%{release}

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{pkgname}-%{version}


%build
export PATH=/opt/freeware/bin:$PATH
%{python_major} setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} setup.py install --root %{buildroot}


%check
%if %{with dotests}
export PYTHONPATH=${RPM_BUILD_ROOT}%{python3_sitearch}
%{python_major} -m venv python_venv --system-site-packages
. ./python_venv/bin/activate
pytest-3.9 -k 'not test_get_filelike'
deactivate

%endif


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc LICENSE.rst README.rst
%{python3_sitearch}/*

%files -n %{meta_package}
%defattr(-,root,system,-)

%changelog
* Tue Aug 22 2023 Reshma V Kumar <reskumar@in.ibm.com> - 1.4.1-1
- Update to version 1.4.1

* Thu Dec 29 2022 Aditya Kamath <Aditya.Kamath1@ibm.com> - 1.1.0-2
- imagesize for python3.9
